diff -r e909207e9ff1 -r c3c22256cb61 libgui/languages/ja_JP.ts
--- a/libgui/languages/ja_JP.ts	Fri Mar 30 17:47:12 2018 -0400
+++ b/libgui/languages/ja_JP.ts	Sat Mar 31 14:34:30 2018 +0900
@@ -1342,252 +1343,252 @@
     <message>
         <location line="+7"/>
         <source>&amp;Show Completion List</source>
-        <translation type="unfinished">補完リストの表示 (&amp;s)</translation>
+        <translation>補完リストの表示 (&amp;S)</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>&amp;Format</source>
-        <translation type="unfinished">フォーマット (&amp;F)</translation>
+        <translation>フォーマット (&amp;F)</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>&amp;Uppercase Selection</source>
-        <translation type="unfinished">大文字を選択(&amp;U)</translation>
+        <translation>大文字を選択(&amp;U)</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>&amp;Lowercase Selection</source>
-        <translation type="unfinished">小文字を選択(&amp;L)</translation>
+        <translation>小文字を選択(&amp;L)</translation>
     </message>
     <message>
         <location line="+7"/>
         <source>&amp;Comment</source>
-        <translation type="unfinished">コメント (&amp;C)</translation>
+        <translation>コメント (&amp;C)</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>&amp;Uncomment</source>
-        <translation type="unfinished">コメントを取り消す (&amp;U)</translation>
+        <translation>アンコメント (&amp;U)</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Comment (Choosing String)</source>
-        <translation type="unfinished"></translation>
+        <translation>コメント (文字列を選択)</translation>
     </message>
     <message>
         <location line="+7"/>
         <source>&amp;Indent Selection Rigidly</source>
-        <translation type="unfinished"></translation>
+        <translation>リジッドにセクションをインデント</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>&amp;Unindent Selection Rigidly</source>
-        <translation type="unfinished"></translation>
+        <translation>リジッドにセクションをアンインデント</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Indent Code</source>
-        <translation type="unfinished"></translation>
+        <translation>コードをインデント</translation>
     </message>
     <message>
         <location line="+7"/>
         <source>convert line endings to &amp;windows (crlf)</source>
-        <translation type="unfinished"></translation>
+        <translation>行末文字を windows 仕様にする (CRLF)  (&amp;W)</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Convert Line Endings to &amp;Unix (LF)</source>
-        <translation type="unfinished">行末文字を Unix 仕様にする (LF) (&amp;U)</translation>
+        <translation>行末文字を Unix 仕様にする (LF) (&amp;U)</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Convert Line Endings to &amp;Mac (CR)</source>
-        <translation type="unfinished">行末文字を Mac 仕様にする (CR) (&amp;U)</translation>
+        <translation>行末文字を Mac 仕様にする (CR) (&amp;M)</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Navi&amp;gation</source>
-        <translation type="unfinished">ナビゲーション (&amp;g)</translation>
+        <translation>ナビゲーション (&amp;G)</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Go &amp;to Line...</source>
-        <translation type="unfinished">指定行 (&amp;T) ...</translation>
+        <translation>指定行 (&amp;T) ... へ移動</translation>
     </message>
     <message>
         <location line="+7"/>
         <source>Move to Matching Brace</source>
-        <translation type="unfinished">対応する括弧に移動</translation>
+        <translation>対応する括弧に移動</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Select to Matching Brace</source>
-        <translation type="unfinished">対応する括弧を選択</translation>
+        <translation>対応する括弧を選択</translation>
     </message>
     <message>
         <location line="+7"/>
         <source>&amp;Next Bookmark</source>
-        <translation type="unfinished">次のブックマーク (&amp;N)</translation>
+        <translation>次のブックマーク (&amp;N)</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Pre&amp;vious Bookmark</source>
-        <translation type="unfinished">前のブックマーク (&amp;V)</translation>
+        <translation>前のブックマーク (&amp;V)</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Toggle &amp;Bookmark</source>
-        <translation type="unfinished">ブックマークをトグル (&amp;B)</translation>
+        <translation>ブックマークをトグル (&amp;B)</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>&amp;Remove All Bookmarks</source>
-        <translation type="unfinished">全てのブックマークを取り除く (&amp;R)</translation>
+        <translation>全てのブックマークを取り除く (&amp;R)</translation>
     </message>
     <message>
         <location line="+8"/>
         <source>&amp;Preferences...</source>
-        <translation type="unfinished">設定 (&amp;P) ...</translation>
+        <translation>設定 (&amp;P) ...</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>&amp;Styles Preferences...</source>
-        <translation type="unfinished">スタイルの設定 (&amp;S) ...</translation>
+        <translation>スタイルの設定 (&amp;S) ...</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>&amp;View</source>
-        <translation type="unfinished">表示 (&amp;V)</translation>
+        <translation>表示 (&amp;V)</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>&amp;Editor</source>
-        <translation type="unfinished">エディタ (&amp;E)</translation>
+        <translation>エディタ (&amp;E)</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Show &amp;Line Numbers</source>
-        <translation type="unfinished">行番号の表示 (&amp;L)</translation>
+        <translation>行番号の表示 (&amp;L)</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Show &amp;Whitespace Characters</source>
-        <translation type="unfinished">ホワイトスペースを表示 (&amp;W)</translation>
+        <translation>ホワイトスペースを表示 (&amp;W)</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Show Line &amp;Endings</source>
-        <translation type="unfinished">行末の表示 (&amp;E)</translation>
+        <translation>行末の表示 (&amp;E)</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Show &amp;Indentation Guides</source>
-        <translation type="unfinished">インデンテーションガイドの表示 (&amp;I)</translation>
+        <translation>インデンテーションガイドの表示 (&amp;I)</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Show Long Line &amp;Marker</source>
-        <translation type="unfinished">長い行のマーカーを表示</translation>
+        <translation>長い行のマーカーを表示</translation>
     </message>
     <message>
         <location line="+8"/>
         <source>Show &amp;Toolbar</source>
-        <translation type="unfinished">ツールバーの表示(&amp;T)</translation>
+        <translation>ツールバーの表示(&amp;T)</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Show &amp;Statusbar</source>
-        <translation type="unfinished">ステイタスバーの表示</translation>
+        <translation>ステイタスバーの表示</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Show &amp;Horizontal Scrollbar</source>
-        <translation type="unfinished">横スクロールバーの表示</translation>
+        <translation>横スクロールバーの表示</translation>
     </message>
     <message>
         <location line="+8"/>
         <source>Zoom &amp;In</source>
-        <translation type="unfinished">ズームイン (&amp;I)</translation>
+        <translation>ズームイン (&amp;I)</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Zoom &amp;Out</source>
-        <translation type="unfinished">ズームアウト (&amp;O)</translation>
+        <translation>ズームアウト (&amp;O)</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>&amp;Normal Size</source>
-        <translation type="unfinished">通常サイズ (&amp;N)</translation>
+        <translation>通常サイズ (&amp;N)</translation>
     </message>
     <message>
         <location line="+7"/>
         <source>&amp;Debug</source>
-        <translation type="unfinished">デバッグ (&amp;D)</translation>
+        <translation>デバッグ (&amp;D)</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Toggle &amp;Breakpoint</source>
-        <translation type="unfinished">ブレークポイントをトグル (&amp;B)</translation>
+        <translation>ブレークポイントをトグル (&amp;B)</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>&amp;Next Breakpoint</source>
-        <translation type="unfinished">次のブレークポイント (&amp;N)</translation>
+        <translation>次のブレークポイント (&amp;N)</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Pre&amp;vious Breakpoint</source>
-        <translation type="unfinished">前のブレークポイント (&amp;V)</translation>
+        <translation>前のブレークポイント (&amp;V)</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>&amp;Remove All Breakpoints</source>
-        <translation type="unfinished">全てのブレークポイントを解除 (&amp;R)</translation>
+        <translation>全てのブレークポイントを解除 (&amp;R)</translation>
     </message>
     <message>
         <location line="+9"/>
         <source>&amp;Run</source>
-        <translation type="unfinished">実行 (&amp;R)</translation>
+        <translation>実行 (&amp;R)</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Save File and Run</source>
-        <translation type="unfinished">ファイルを保存して実行</translation>
+        <translation>ファイルを保存して実行</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Run &amp;Selection</source>
-        <translation type="unfinished">選択部を実行 (&amp;S)</translation>
+        <translation>選択部を実行 (&amp;S)</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>&amp;Help</source>
-        <translation type="unfinished">ヘルプ (&amp;H)</translation>
+        <translation>ヘルプ (&amp;H)</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>&amp;Help on Keyword</source>
-        <translation type="unfinished">キーワードでヘルプ (&amp;H)</translation>
+        <translation>キーワードでヘルプ (&amp;H)</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>&amp;Documentation on Keyword</source>
-        <translation type="unfinished">キーワードでドキュメント (&amp;D)</translation>
+        <translation>キーワードでドキュメント (&amp;D)</translation>
     </message>
     <message>
         <location line="+25"/>
         <source>Recent Files</source>
-        <translation type="unfinished">最近使用したファイル</translation>
+        <translation>最近使用したファイル</translation>
     </message>
     <message>
         <location line="+65"/>
         <source>Editor</source>
-        <translation type="unfinished">エディタ</translation>
+        <translation>エディタ</translation>
     </message>
     <message>
         <location line="+207"/>
         <source>&amp;%1 %2</source>
-        <translation type="unfinished">&amp;%1 %2</translation>
+        <translation>&amp;%1 %2</translation>
     </message>
 </context>
 <context>
@@ -1595,27 +1596,27 @@
     <message>
         <location filename="../src/m-editor/file-editor-tab.cc" line="+140"/>
         <source>line:</source>
-        <translation type="unfinished">行:</translation>
+        <translation>行:</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>col:</source>
-        <translation type="unfinished">列:</translation>
+        <translation>列:</translation>
     </message>
     <message>
         <location line="+7"/>
         <source>encoding:</source>
-        <translation type="unfinished">エンコード</translation>
+        <translation>エンコード</translation>
     </message>
     <message>
         <location line="+7"/>
         <source>eol:</source>
-        <translation type="unfinished"></translation>
+        <translation>eol</translation>
     </message>
     <message>
         <location line="+231"/>
         <source>Breakpoint condition</source>
-        <translation type="unfinished">ブレークポイントの状態</translation>
+        <translation>ブレークポイントの状態</translation>
     </message>
     <message>
         <location line="+91"/>
@@ -1627,28 +1628,29 @@
         <location line="+85"/>
         <location line="+36"/>
         <source>Octave Editor</source>
-        <translation type="unfinished">Octave エディタ</translation>
+        <translation>Octave エディタ</translation>
     </message>
     <message>
         <location line="-1896"/>
         <source>Cannot add breakpoint to modified file.
 Save and add breakpoint, or cancel?</source>
-        <translation type="unfinished"></translation>
+        <translation>修正されたファイルにブレークポイントを加えることはできません．
+保存してブレークポイントをくわえますか，キャンセルしますか?</translation>
     </message>
     <message>
         <location line="+837"/>
         <source>Goto line</source>
-        <translation type="unfinished">指定行へ行く</translation>
+        <translation>指定行へ行く</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Line number</source>
-        <translation type="unfinished">行数</translation>
+        <translation>行数</translation>
     </message>
     <message>
         <location line="+126"/>
         <source>Comment selected text</source>
-        <translation type="unfinished"></translation>
+        <translation>選択部をコメントにする</translation>
     </message>
     <message>
         <location line="+1"/>
@@ -1665,7 +1667,7 @@
     <message>
         <location line="-6"/>
         <source>Do you want to cancel closing, save or discard the changes?</source>
-        <translation type="unfinished">閉じるのを中止しますか，変更を無視しますか?</translation>
+        <translatio>閉じるのを中止しますか，変更を無視しますか?</translation>
     </message>
     <message>
         <location line="+10"/>
@@ -1674,47 +1676,47 @@
   %1
 
 is about to be closed but has been modified.  %2</source>
-        <translation type="unfinished">ファイル
+        <translation>ファイル
   %1
 が閉じられようとしていますが修正されています．%2</translation>
     </message>
     <message>
         <location line="+295"/>
         <source>Debug or Save</source>
-        <translation type="unfinished">デバッグまたは保存</translation>
+        <translation>デバッグまたは保存</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>This file is currently being executed.
 Quit debugging and save?</source>
-        <translation type="unfinished">このファイルは現在実行中です．デバッグを終了して保存しますか?</translation>
+        <translation>このファイルは現在実行中です．デバッグを終了して保存しますか?</translation>
     </message>
     <message>
         <location line="+75"/>
         <source>Could not open file %1 for write:
 %2.</source>
-        <translation type="unfinished">ファイル %1 を書き込み用として開けません:
+        <translation>ファイル %1 を書き込み用として開けません:
 %2.</translation>
     </message>
     <message>
         <location line="+92"/>
         <source>Line Endings:</source>
-        <translation type="unfinished"></translation>
+        <translation>行末</translation>
     </message>
     <message>
         <location line="+9"/>
         <source>File Encoding:</source>
-        <translation type="unfinished">ファイルのエンコード</translation>
+        <translation>ファイルのエンコード</translation>
     </message>
     <message>
         <location line="+28"/>
         <source>Octave Files (*.m)</source>
-        <translation type="unfinished">octave のファイル (*.m)</translation>
+        <translation>Octave のファイル (*.m)</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>All Files (*)</source>
-        <translation type="unfinished">全てのファイル (*)</translation>
+        <translation>全てのファイル (*)</translation>
     </message>
     <message>
         <location line="+80"/>
@@ -1733,7 +1735,8 @@
 can not be applied.
 
 Please select another one or cancel saving!</source>
-        <translation type="unfinished"></translation>
+        <translation>現在のコーデック %1
+は適用できません．別のもの選択するが保存をキャンセルしてください．</translation>
     </message>
     <message>
         <location line="+11"/>
@@ -1742,19 +1745,22 @@
 Using it will result in data loss!
 
 Do you want to chose another codec?</source>
-        <translation type="unfinished"></translation>
+        <translation>現在エディタ上のコンテンツを選択された
+コーデック %1 でエンコードできません．
+それを使用するとデータを消失します！
+</translation>
     </message>
     <message>
         <location line="+85"/>
         <source>It seems that &apos;%1&apos; has been modified by another application. Do you want to reload it?</source>
-        <translation type="unfinished">&apos;%1&apos; は他のアプリケーションで変更されたいます．再読込しますか？</translation>
+        <translation>&apos;%1&apos; は他のアプリケーションで変更されたいます．再読込しますか？</translation>
     </message>
     <message>
         <location line="+29"/>
         <source>
 
 Warning: The contents in the editor is modified!</source>
-        <translation type="unfinished">
+        <translation>
 
 警告: エディタ内の内容は変更されています</translation>
     </message>
@@ -1763,7 +1769,7 @@
         <source>It seems that the file
 %1
 has been deleted or renamed. Do you want to save it now?%2</source>
-        <translation type="unfinished">ファイル
+        <translation>ファイル
 %1
 削除されたか名前が変更されています．ファイルを今保存しますか？%2</translation>
     </message>
@@ -1773,27 +1779,27 @@
     <message>
         <location filename="../src/files-dock-widget.cc" line="+73"/>
         <source>File Browser</source>
-        <translation type="unfinished">ファイルブラウザ</translation>
+        <translation>ファイルブラウザ</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Browse your files</source>
-        <translation type="unfinished">ファイルをブラウズする</translation>
+        <translation>ファイルをブラウズする</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>File size</source>
-        <translation type="unfinished">ファイルのサイズ</translation>
+        <translation>ファイルのサイズ</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>File type</source>
-        <translation type="unfinished">ファイルのタイプ</translation>
+        <translation>ファイルのタイプ</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Date modified</source>
-        <translation type="unfinished">修正日付</translation>
+        <translation>修正日付</translation>
     </message>
     <message>
         <location line="+1"/>
@@ -1803,70 +1809,70 @@
     <message>
         <location line="+1"/>
         <source>Alternating row colors</source>
-        <translation type="unfinished">列の色のオルタネーション</translation>
+        <translation>列の色のオルタネーション</translation>
     </message>
     <message>
         <location line="+25"/>
         <source>Enter the path or filename</source>
-        <translation type="unfinished">パスまたはファイル名の入力</translation>
+        <translation>パスまたはファイル名の入力</translation>
     </message>
     <message>
         <location line="+11"/>
         <source>One directory up</source>
-        <translation type="unfinished">一つ上のディレクトリ</translation>
+        <translation>一つ上のディレクトリ</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Show Octave directory</source>
-        <translation type="unfinished">octave ディレクトリの表示</translation>
+        <translation>Octave ディレクトリの表示</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Go to current Octave directory</source>
-        <translation type="unfinished">現在の Octave ディレクトリへ行く</translation>
+        <translation>現在の Octave ディレクトリへ行く</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Set Octave directory</source>
-        <translation type="unfinished">Octave ディレクトリの設定</translation>
+        <translation>Octave ディレクトリの設定</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Set Octave directory to current browser directory</source>
-        <translation type="unfinished"></translation>
+        <translation>Octave ディレクトリを現在のブラウザディレクトリに設定</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Actions on current directory</source>
-        <translation type="unfinished">現在のディレクトリで実行</translation>
+        <translation>現在のディレクトリで実行</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Show Home Directory</source>
-        <translation type="unfinished">ホームディレクトリの表示</translation>
+        <translation>ホームディレクトリの表示</translation>
     </message>
     <message>
         <location line="+12"/>
         <source>Set Browser Directory...</source>
-        <translation type="unfinished">ブラウザディレクトリを設定</translation>
+        <translation>ブラウザディレクトリを設定</translation>
     </message>
     <message>
         <location line="+4"/>
         <location line="+365"/>
         <source>Find Files...</source>
-        <translation type="unfinished"></translation>
+        <translation>ファイルを検索...</translation>
     </message>
     <message>
         <location line="-361"/>
         <location line="+374"/>
         <source>New File...</source>
-        <translation type="unfinished">新規のファイル...</translation>
+        <translation>新規のファイル...</translation>
     </message>
     <message>
         <location line="-371"/>
         <location line="+374"/>
         <source>New Directory...</source>
-        <translation type="unfinished">新規のディレクトリ...</translation>
+        <translation>新規のディレクトリ...</translation>
     </message>
     <message>
         <location line="-320"/>
@@ -1876,58 +1882,58 @@
     <message>
         <location line="+273"/>
         <source>Open</source>
-        <translation type="unfinished">開く</translation>
+        <translation>開く</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Open in System File Explorer</source>
-        <translation type="unfinished"></translation>
+        <translation>システムファイルエクスローラーで開く</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Open in Text Editor</source>
-        <translation type="unfinished">テキストエディタで開く</translation>
+        <translation>テキストエディタで開く</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Copy Selection to Clipboard</source>
-        <translation type="unfinished">選択部をクリップボードにコピー</translation>
+        <translation>選択部をクリップボードにコピー</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Run</source>
-        <translation type="unfinished">実行</translation>
+        <translation>実行</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Load Data</source>
-        <translation type="unfinished">データのロード</translation>
+        <translation>データのロード</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Set Current Directory</source>
-        <translation type="unfinished">現在のディレクトリの設定</translation>
+        <translation>現在のディレクトリの設定</translation>
     </message>
     <message>
         <location line="+9"/>
         <source>Rename...</source>
-        <translation type="unfinished">名前の変更 ...</translation>
+        <translation>名前の変更 ...</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Delete...</source>
-        <translation type="unfinished">削除 ...</translation>
+        <translation>削除 ...</translation>
     </message>
     <message>
         <location line="+118"/>
         <source>Rename file/directory</source>
-        <translation type="unfinished">ファイル名／ディレクトリ名を変更</translation>
+        <translation>ファイル名／ディレクトリ名を変更</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Rename file/directory:
 </source>
-        <translation type="unfinished">ファイル名／ディレクトリ名を変更:
+        <translation>ファイル名／ディレクトリ名を変更:
 </translation>
     </message>
     <message>
@@ -1935,35 +1941,35 @@
         <source>
  to: </source>
         <translation type="unfinished">
-到: </translation>
+ </translation>
     </message>
     <message>
         <location line="+30"/>
         <location line="+14"/>
         <source>Delete file/directory</source>
-        <translation type="unfinished">ファイル／ディレクトリの削除</translation>
+        <translation>ファイル／ディレクトリの削除</translation>
     </message>
     <message>
         <location line="-13"/>
         <source>Are you sure you want to delete
 </source>
-        <translation type="unfinished">本当に削除しますか
+        <translation>本当に削除しますか
 </translation>
     </message>
     <message>
         <location line="+14"/>
         <source>Can not delete a directory that is not empty</source>
-        <translation type="unfinished">空のディレクトリでないので削除できません</translation>
+        <translation>空のディレクトリでないので削除できません</translation>
     </message>
     <message>
         <location line="+145"/>
         <source>Set directory of file browser</source>
-        <translation type="unfinished">ディレクトリをファイルブラウザで設定</translation>
+        <translation>ディレクトリをファイルブラウザで設定</translation>
     </message>
     <message>
         <location line="+26"/>
         <source>Create File</source>
-        <translation type="unfinished">ファイルを開く</translation>
+        <translation>ファイルを</translation>
     </message>
     <message>
         <location line="+1"/>
@@ -1981,7 +1987,7 @@
     <message>
         <location line="+15"/>
         <source>Create Directory</source>
-        <translation type="unfinished">ディレクトリの作成</translation>
+        <translation>ディレクトリの作成</translation>
     </message>
     <message>
         <location line="+1"/>
@@ -1994,7 +2000,7 @@
     <message>
         <location line="+1"/>
         <source>New Directory</source>
-        <translation type="unfinished">新しいディレクトリ</translation>
+        <translation>新しいディレクトリ</translation>
     </message>
 </context>
 <context>
@@ -2002,22 +2008,22 @@
     <message>
         <location filename="../src/welcome-wizard.cc" line="+274"/>
         <source>Enjoy!</source>
-        <translation type="unfinished">エンジョイ！</translation>
+        <translation>エンジョイ！</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Previous</source>
-        <translation type="unfinished"></translation>
+        <translation>戻る</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Finish</source>
-        <translation type="unfinished">終了</translation>
+        <translation>終了</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Cancel</source>
-        <translation type="unfinished"></translation>
+        <translation>キャンセル</translation>
     </message>
     <message>
         <location line="+7"/>
@@ -2026,7 +2032,7 @@
 &lt;p&gt;If you encounter problems, there are a number of ways to get help, including commercial support options, a mailing list, a wiki, and other community-based support channels.
 You can find more information about each of these by visiting &lt;a href=&quot;https://octave.org/support.html&quot;&gt;https://octave.org/support.html&lt;/a&gt; (opens in external browser).&lt;/p&gt;
 &lt;/body&gt;&lt;/html&gt;</source>
-        <translation type="unfinished">&lt;html&gt;&lt;body&gt;
+        <translation>&lt;html&gt;&lt;body&gt;
 &lt;p&gt;Octave が有用なツールであることを願っています．&lt;/p&gt;
 &lt;p&gt;もし問題に遭遇したときは， たくさんの方法のヘルプがあります, 商用サポートのオプション, メーリングリスト, ウィキ, その他のコミュニケーションベースのサポートなど.
 詳しい情報は次のウェブサイトから &lt;a href=&quot;https://octave.org/support.html&quot;&gt;https://octave.org/support.html&lt;/a&gt; (外部ブラウザで開く．).&lt;/p&gt;
@@ -2046,7 +2052,7 @@
 &lt;li&gt;Open the documentation browser of the Octave GUI with the help menu&lt;/li&gt;
 &lt;/ul&gt;
 &lt;/body&gt;&lt;/html&gt;</source>
-        <translation type="unfinished">&lt;html&gt;&lt;head&gt;
+        <translation>&lt;html&gt;&lt;head&gt;
 &lt;style&gt;
 a:link { text-decoration: underline; color: #0000ff; }
 &lt;/style&gt;
@@ -2065,7 +2071,7 @@
     <message>
         <location filename="../src/m-editor/find-dialog.cc" line="+87"/>
         <source>Find and Replace</source>
-        <translation type="unfinished">検索と置換</translation>
+        <translation>検索と置換</translation>
     </message>
     <message>
         <location line="+3"/>
@@ -2075,17 +2081,17 @@
     <message>
         <location line="+3"/>
         <source>Re&amp;place with:</source>
-        <translation type="unfinished">以下で置換:  (&amp;P)</translation>
+        <translation>以下で置換:  (&amp;P)</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Match &amp;case</source>
-        <translation type="unfinished">大文字小文字のマッチ (&amp;C)</translation>
+        <translation>大文字小文字のマッチ (&amp;C)</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Search from &amp;start</source>
-        <translation type="unfinished">始めから検索 (&amp;S)</translation>
+        <translation>始めから検索 (&amp;S)</translation>
     </message>
     <message>
         <location line="+1"/>
@@ -2095,22 +2101,22 @@
     <message>
         <location line="+2"/>
         <source>&amp;Find Next</source>
-        <translation type="unfinished">次を検索 (&amp;F)</translation>
+        <translation>次を検索 (&amp;F)</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Find &amp;Previous</source>
-        <translation type="unfinished">前の検索 (&amp;P)</translation>
+        <translation>前の検索 (&amp;P)</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>&amp;Replace</source>
-        <translation type="unfinished">置換 (&amp;R)</translation>
+        <translation>置換 (&amp;R)</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Replace &amp;All</source>
-        <translation type="unfinished">全てを置換 (&amp;A)</translation>
+        <translation>全てを置換 (&amp;A)</translation>
     </message>
     <message>
         <location line="+2"/>
